commit 6d9c8b1f3f1a5d0b807be821c4a12d9ce1fada67
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Aug 7 00:17:07 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index ac60acf9193..47c2ff506a4 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2020-08-06  Richard Biener  <rguenther@suse.de>
+
+	Backported from master:
+	2020-08-06  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/96483
+	* tree-ssa-pre.c (create_component_ref_by_pieces_1): Handle
+	POLY_INT_CST.
+
 2020-08-04  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index c2e265fc4e9..007638ea22c 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200806
+20200807
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index a77061d484a..85c25f8e580 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,13 @@
+2020-08-06  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-08-06  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/96484
+	* src/c++17/fs_ops.cc (fs::read_symlink): Return an error
+	immediately for non-symlinks.
+	* src/filesystem/ops.cc (fs::read_symlink): Likewise.
+
 2020-07-23  Release Manager
 
 	* GCC 10.2.0 released.

